List shifts
List scheduled shifts for a date range.
GET https://cotlet.dev/api/v1/shiftbase/shifts
read
Returns each shift with its date, start, end, team and employee, in date order. Open shifts have no employee. It reads the schedule as the account sees it.
Parameters
| Name | Type | Description |
|---|---|---|
| from string required | string | First day, YYYY-MM-DD. |
| to string required | string | Last day, YYYY-MM-DD. |
| department_id string | string | Only this department. |
| employee_id string | string | Only this employee. |
Request
curl "https://cotlet.dev/api/v1/shiftbase/shifts?from=from&to=to" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("shiftbase", "list_shifts", {"from":"from","to":"to"}) const result = await cotlet.call('shiftbase', 'list_shifts', {"from":"from","to":"to"}); cotlet call shiftbase list_shifts --data '{"from":"from","to":"to"}' Example response
{
"shifts": [
{
"id": "90421",
"date": "2026-10-25",
"start": "16:00",
"end": "23:00",
"team": "Floor",
"employee": "Lena Ortiz"
},
{
"id": "90433",
"date": "2026-10-25",
"start": "10:00",
"end": "18:00",
"team": "Kitchen",
"employee": "Sam Okafor"
}
]
}